//: C03:Equivalence.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
#include <iostream>
#include <string>
using namespace std;

int main() {
  string s2("Tamto"), s1("Toto");
  // levá hodnota je literál v uvozovkách
  // a pravá hodnota je string:
  if("Tamto" == s2)
    cout << "Souhlasí" << endl;
    // Levý operand je string a pravý je 
    // ukazatel na nulou ukončený řetězec jazyka C:
  if(s1 != s2.c_str())
    cout << "Nesouhlasí" << endl;
} ///:~
